## ros-humble-crane-plus-gazebo 2.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(crane_plus_gazebo)

find_package(ament_cmake REQUIRED)

install(DIRECTORY
  launch
  worlds
  gui
  DESTINATION share/${PROJECT_NAME}/
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-humble-crane-plus-gazebo (2.0.1-1bookworm) bookworm; urgency=high

  * テスト実行時はダミーのパラメータファイルを読み込めるようにdescription_loaderを修正 (#73 <https://github.com/rt-net/crane_plus/issues/73>)
  * Contributors: YusukeKato

 -- RT Corporation <shop@rt-net.jp>  Thu, 07 Sep 2023 16:00:00 -0000

ros-humble-crane-plus-gazebo (2.0.0-1bookworm) bookworm; urgency=high

  * Gazeboカメラ位置の調整 (#67 <https://github.com/rt-net/crane_plus/issues/67>)
  * Feature/support humble (#58 <https://github.com/rt-net/crane_plus/issues/58>)
  * Contributors: Shota Aoki, YusukeKato

 -- RT Corporation <shop@rt-net.jp>  Mon, 31 Jul 2023 16:00:00 -0000

ros-humble-crane-plus-gazebo (1.1.0-1bookworm) bookworm; urgency=high

  * Update author tags (#49 <https://github.com/rt-net/crane_plus/issues/49>)
  * gui.config追加 (#45 <https://github.com/rt-net/crane_plus/issues/45>)
  * Rename CRANE+V2 to CRANE+ V2 (#44 <https://github.com/rt-net/crane_plus/issues/44>)
  * fix typo
  * Contributors: Atsushi Kuwagata, Shota Aoki

 -- RT Corporation <shop@rt-net.jp>  Mon, 15 Aug 2022 16:00:00 -0000

ros-humble-crane-plus-gazebo (1.0.0-1bookworm) bookworm; urgency=high

  * パッケージバージョン表記の更新 (#40 <https://github.com/rt-net/crane_plus/issues/40>)
  * crane_plus_ignitionのpackage.xmlを修正 (#39 <https://github.com/rt-net/crane_plus/issues/39>)
  * crane_plus_ignition パッケージを追加し、Gazeboの使用を非推奨にする (#38 <https://github.com/rt-net/crane_plus/issues/38>)
  * Contributors: Atsushi Kuwagata, Shota Aoki

 -- RT Corporation <shop@rt-net.jp>  Tue, 21 Jun 2022 16:00:00 -0000

=== debian/control ===
Source: ros-humble-crane-plus-gazebo
Section: misc
Priority: optional
Maintainer: RT Corporation <shop@rt-net.jp>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-controller-manager, ros-humble-crane-plus-description, ros-humble-crane-plus-moveit-config, ros-humble-gripper-controllers, ros-humble-robot-state-publisher, ros-humble-ros-gz, ros-humble-ros2-controllers, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-crane-plus-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-controller-manager, ros-humble-crane-plus-description, ros-humble-crane-plus-moveit-config, ros-humble-gripper-controllers, ros-humble-robot-state-publisher, ros-humble-ros-gz, ros-humble-ros2-controllers, ros-humble-ros-workspace
Description: CRANE+ V2 gazebo simulation package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-crane-plus-gazebo//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-crane-plus-gazebo//opt/ros/humble/opt/crane_plus_gazebo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
